import importlib
import os


class EnvSettings:
    def __init__(self):
        base_path = os.path.abspath(os.path.join(os.path.dirname(__file__), '../..'))

        self.network_path = '{}/networks/'.format(base_path)
        self.results_path = ''


def env_settings():
    env_module_name = 'pytracking.evaluation.local'
    env_module = importlib.import_module(env_module_name)
    return env_module.local_env_settings()
